import service from "@/utils/axios";
import { localBaseUrl } from "@/constant";

// 任务数据 设备列表
export const getTaskDataClassList = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/TaskDataClass_List`,
    data,
  });
};

// 任务数据（列表）
export const checkTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Check`,
    data,
  });
};

// 任务数据（提取数据）
export const extractTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Extract_TaskData`,
    data,
  });
};

// 设备分类-设备列表（列表）
export const getTaskDataList = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/List`,
    data,
  });
};

// 打包本地数据
export const importTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Import_TaskData`,
    data,
  });
};
